TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Roots ( elt-alg^pol f, rng S ) -> seq()

### Optional Arguments

Al | string |  | "Combination" or "Laguerre" or "NewtonRaphson" or "Schonhage"
Digits | elt-ord^rat |  |
Max | elt-ord^rat |  |
IsSquarefree | elt-alg^boo |  |

### Description

<shortdoc> Given a univariate polynomial f over ring R, return the roots of f lying in S as a sequence. </shortdoc>

### Examples

x_P := PolynomialAlgebra(Z); x_f := x_P.1^2 - 2; Roots(x_f, C);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack